View Issue Details

IDProjectCategoryView StatusLast Update
0003027FreeCADBugpublic2017-11-26 21:56
Reporterzhukovgreen Assigned Towmayer  
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSUbuntuOS Version17.04
Product Version0.17 
Target Version0.17Fixed in Version0.17 
Summary0003027: if type(App.Vector) in originSketch.Geometry: newSketch.Geometry = originSketch.Geometry Raises types in list must be....
DescriptionHello, I observed that there is an error:

Base.FreeCADError: FreeCAD exception thrown (types in list must be 'Geometry', not Base.Vector)

if in geometries of a sketch (Sketch.Geometry) there are an object of type App.Vector
Steps To ReproduceMake a sketch1 = App.ActiveDocument.addObject("Sketcher::SketchObjectPython", 'sketch1')
Make another sketch2 = App.ActiveDocument.addObject("Sketcher::SketchObjectPython", 'Sketch2')
Add a line inside sketch 2
Add a point on object inside sketch2 (i.e. .addConstraint(Sketcher.Constraint('PointOnObject',7,1,3))
in console type sketch1.Geometry = sketch2.Geometry
TagsNo tags attached.
FreeCAD Information

Activities

Kunda1

2017-05-11 11:45

administrator   ~0008951

@zhukovgreen have you asked in the forums before posting the ticket?
Please always post your Help > About FreeCAD > Copy to clipboard info when opening a ticket or asking on the forum. Thx!

zhukovgreen

2017-05-11 18:36

reporter   ~0008961

OS: Ubuntu 17.04
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.10993 (Git)
Build type: None
Branch: master
Hash: bf5f3484f6f5506795b6e9b86288c75ab7357291
Python version: 2.7.13
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.1.0

Kunda1

2017-05-11 20:38

administrator   ~0008962

@DeepSOIC do you mind weighing in?

wmayer

2017-11-26 21:56

administrator   ~0010475

https://github.com/FreeCAD/FreeCAD/commit/df427de3eec43b772fabbd223f025292e28faa8b

Issue History

Date Modified Username Field Change
2017-05-11 09:20 zhukovgreen New Issue
2017-05-11 11:45 Kunda1 Note Added: 0008951
2017-05-11 12:32 Kunda1 Status new => feedback
2017-05-11 12:33 Kunda1 Description Updated View Revisions
2017-05-11 18:36 zhukovgreen Note Added: 0008961
2017-05-11 18:36 zhukovgreen Status feedback => new
2017-05-11 20:38 Kunda1 Note Added: 0008962
2017-09-24 20:09 wmayer Status new => confirmed
2017-09-24 20:09 wmayer Target Version => 0.17
2017-11-26 21:56 wmayer Assigned To => wmayer
2017-11-26 21:56 wmayer Status confirmed => closed
2017-11-26 21:56 wmayer Resolution open => fixed
2017-11-26 21:56 wmayer Fixed in Version => 0.17
2017-11-26 21:56 wmayer Note Added: 0010475